GET Search courses
Advanced search for courses with multiple filter options including text search, category, difficulty, tags, and duration
Advanced search for courses with multiple filter options including text search, category, difficulty, tags, and duration
Send API keys and access tokens as Authorization: Bearer .
In: header
Query Parameters
Search query (searches title, description, slug)
Maximum number of results to return
1 <= value <= 10025Number of results to skip for pagination
0 <= value0Filter by course category
Filter by difficulty level
Value in
- "beginner"
- "intermediate"
- "advanced"
Minimum duration in minutes
0 <= valueMaximum duration in minutes
0 <= valueOnly return published courses
falseField to sort by
"created_at"Value in
- "created_at"
- "updated_at"
- "title"
- "duration_minutes"
Sort order
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/courses/search"{ "data": [ { "id": "{id}", "title": "string", "slug": "string", "description": "string", "category": { "id": "{id}", "name": "string" }, "difficulty": "beginner", "duration_minutes": 0, "thumbnail_url": "string", "status": "draft", "statistics": { "enrollment_count": 0, "completion_rate": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}POST Unpublish course POST
Move a published course back to draft. Refused while the course has enrolled or active enrollments. Unpublishing a draft changes nothing and returns changed false.
DELETE Delete course DELETE
Delete a course (refused while it has enrollments that are not withdrawn, unless force is true)